# Looking for a Professional React Validator Component?

This package helps you use the [Kendo UI for jQuery Validator](https://demos.telerik.com/kendo-ui/validator/index?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-validator-wrapper) in React applications.

While most jQuery UI components in Kendo UI for jQuery have their native, 100% React equivalents within the [KendoReact UI library](https://www.telerik.com/kendo-react-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-validator-wrapper), at the time of writing (Sept 2021), the Validator component is not yet available. 

Follow [these instructions](https://docs.telerik.com/kendo-ui/third-party/react?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-validator-wrapper&utm_content=descriptionc) to learn how to use Kendo UI for jQuery widgets, such as this Validator component, in your React applications. 

We encourage you to review the [complete list of KendoReact components](https://www.telerik.com/kendo-react-ui/components/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-validator-wrapper) or regularly check the [KendoReact Roadmap](https://www.telerik.com/support/whats-new/kendo-react-ui/roadmap/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-validator-wrapper&utm_content=description) to see if the React implementation of the Validator has been added.

## Important

This package will not be receiving future updates. We strongly encourage you to work with KendoReact, the native React library linked above. You are welcome to submit feedback, including what components you need, or vote for existing feature requests via our [Feedback portal](https://feedback.telerik.com/kendo-react-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-validator-wrapper&utm_content=description).

## What is the Difference between Kendo UI for jQuery and KendoReact?

The Kendo UI for jQuery Validator is part of [Kendo UI for jQuery](https://www.telerik.com/kendo-jquery-ui?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-validator-wrapper&utm_content=description), a complete, feature-rich jQuery UI component library.

[KendoReact](https://www.telerik.com/kendo-react-ui/?utm_medium=referral&utm_source=npm&utm_campaign=kendo-ui-react-trial-npm-validator-wrapper&utm_content=description) is a library that includes 100+ UI and DataViz components designed and built from the ground up for React. 

*Copyright © 2021 Progress Software Corporation and/or its subsidiaries or affiliates. All Rights Reserved.*

*Progress, Kendo UI, KendoReact and associated product names used herein are trademarks or registered trademarks of Progress Software Corporation and/or one of its subsidiaries or affiliates in the U.S. and/or other countries.*
